 A=[1 -1 1 1;3 1 -1 1;1 1 0 1;1 2 1 0];     % 输入方程组的系数矩阵
 b=[2 6 4 1]';
 r=rank(A)                     % 求系数矩阵A的秩，判断方程组是否唯一解
 x=A\b                        % 用左除法求解方程组的唯一解  
 x=inv(A)*b                   % 用逆矩阵法求解方程组的唯一解
